%define url ftp://oss.sgi.com/projects/xfs/download/cmd_tars

Summary: Command for manipulating access control lists
Name: acl
Version: 2.0.11
Release: alt1
Source0: %url/%name-%version.src.tar.bz2
Patch0: acl-2.0.11-builddefs.patch
License: GPL
Group: System/Kernel and hardware
Url: http://oss.sgi.com/projects/xfs/
Requires: lib%name = %version-%release

# Automatically added by buildreq on Fri Dec 27 2002
BuildRequires: XFree86-devel libattr-devel man

%description
A command (chacl) to manipulate POSIX access control lists
under Linux.

%package -n lib%name
Summary: Main library for %name
Group: System/Libraries

%description -n lib%name
This package contains the library needed to run programs dynamically
linked with lib%name.

%package -n lib%name-devel
Summary: Access control list headers
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
lib%name-devel contains the header files needed to
develop programs which make use of POSIX access control lists.

You should install lib%name-devel if you want to develop programs
which make use of ACLs.  If you install lib%name-devel, you'll
also want to install lib%name.

%package -n lib%name-devel-static
Summary: Access control list static libraries
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
lib%name-devel-static contains the static libraries needed to
develop programs which make use of POSIX access control lists.

You should install lib%name-devel-static if you want to develop programs
which make use of ACLs.  If you install lib%name-devel-static, you'll
also want to install lib%name-devel.

%prep
%setup -q
%patch0 -p1

%build
export DEBUG="-DNDEBUG"
autoconf
%configure
%make_build

%install
make install DIST_ROOT=%buildroot/
make install-lib DIST_ROOT=%buildroot/
make install-dev DIST_ROOT=%buildroot

mkdir -p %buildroot/bin
mv -f %buildroot/%_bindir/chacl %buildroot/bin

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files
%doc doc/CHANGES.gz README
/bin/*
%_bindir/*
%_mandir/man1/*

%files -n lib%name
%attr(0755,root,root) /lib/*.so.*

%files -n lib%name-devel
%doc doc/PORTING
/lib/*.so
/lib/*.la
%_libdir/*.so
%_libdir/*.la
%_mandir/man[235]/*
%_includedir/*/*

%files -n lib%name-devel-static
/lib/*.a
%_libdir/*.a

%changelog
* Fri Dec 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.11-alt1
- 2.0.11
- Added buildrequires

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.5-alt0.1cvs
- 2.0.5

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt2
- Rebuild with new kernel

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt1
- First build for Sisyphus

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-2mdk
- Fix provides.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-1mdk
- Rework the .spec.
- Make libs in subpackage.
- 1.1.2.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First attempt.

# end of file
